{"title":"Update currencies","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_currency_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_currency_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_currency_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Updates a currency object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Update currencies","slug":"update-currencies","at":0,"chars":1937},{"level":2,"title":"HTTP request","slug":"http-request","at":85,"chars":211},{"level":2,"title":"Request headers","slug":"request-headers","at":296,"chars":262},{"level":2,"title":"Request body","slug":"request-body","at":558,"chars":339},{"level":2,"title":"Response","slug":"response","at":897,"chars":131},{"level":2,"title":"Example","slug":"example","at":1028,"chars":708},{"level":2,"title":"Related information","slug":"related-information","at":1736,"chars":201}],"text":"# Update currencies\nUpdate the properties of a currency object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({id})/currencies({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the currencies, the currencies won't be updated.\n## Request body\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an updated currencies object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/currencies({id})\nContent-type: application/json\n\n{\n    \"displayName\": \"Canadian dollar\"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 200 OK\nContent-type: application/json\n\n{\n    \"id\": \"0ca5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"code\": \"CAD\",\n    \"displayName\": \"Canadian dollar\",\n    \"symbol\": \"$\",\n    \"amountDecimalPlaces\": \"2:2\",\n    \"amountRoundingPrecision\": 0.01,\n    \"lastModifiedDateTime\": \"2020-08-21T00:24:12.793Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_currency\ndynamics_currency_get\ndynamics_currency_delete\ndynamics_currency_create"}